# eric6.Plugins.VcsPlugins.vcsMercurial.HgUserConfigHostMinimumProtocolDialog

Module implementing a dialog to enter the minimum protocol for a host.

### Global Attributes

None

### Classes

HgUserConfigHostMinimumProtocolDialog | Class implementing a dialog to enter the minimum protocol for a host.

### Functions

None

## HgUserConfigHostMinimumProtocolDialog

Class implementing a dialog to enter the minimum protocol for a host.

### Derived from

QDialog, Ui_HgUserConfigHostMinimumProtocolDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgUserConfigHostMinimumProtocolDialog | Constructor
__updateOkButton | Private method to update the status of the Ok button.
getData | Public method to retrieve the data.
on_hostEdit_textChanged | Private slot to handle changes of the host edit.
on_minimumProtocolComboBox_currentIndexChanged | Private slot to handle the selection of a minimum protocol.

### Static Methods

None

#### HgUserConfigHostMinimumProtocolDialog (Constructor)

HgUserConfigHostMinimumProtocolDialog(allowedProtocols, parent=None, host="", protocol="")

Constructor

allowedProtocols (dict)
  dictionary containing the allowed protocols with the value as key and the display string as value
parent (QWidget)
  reference to the parent widget
host (str)
  host name
protocol (str)
  name of the minimum protocol for the host

#### HgUserConfigHostMinimumProtocolDialog.__updateOkButton

__updateOkButton()

Private method to update the status of the Ok button.

#### HgUserConfigHostMinimumProtocolDialog.getData

getData()

Public method to retrieve the data.

Returns:
  tuple containig the host name and the minimum protocol

Return Type:
  tuple of two str

#### HgUserConfigHostMinimumProtocolDialog.on_hostEdit_textChanged

on_hostEdit_textChanged(txt)

Private slot to handle changes of the host edit.

txt (str)
  current text

#### HgUserConfigHostMinimumProtocolDialog.on_minimumProtocolComboBox_currentIndexChanged

on_minimumProtocolComboBox_currentIndexChanged(index)

Private slot to handle the selection of a minimum protocol.

index (int)
  index of the selected entry

Up